Luna Health API / API Reference / Get biomarkers for a specific lab test Get biomarkers for a specific lab test GET /lab-test-biomarkers
Retrieves all biomarkers associated with a specific lab test ID. Returns detailed information about each biomarker including values, reference ranges, status classifications, and trends compared to previous tests. Validates user permissions for accessing the requested data.
Code samples Node.js const fetch = require('node-fetch');
async function callApi() {
const apiKey = 'YOUR_API_KEY';
const labTestId = 'your-labTestId';
const queryString = new URLSearchParams({
labTestId: labTestId
}).toString();
const url = `https://account.lunahealth.app/api/lab-test-biomarkers` + (queryString ? `?${queryString}` : '');
try {
const response = await fetch(url, {
method: 'GET',
headers: {
'Authorization': `Bearer ${apiKey}`,
'Content-Type': 'application/json'
}
});
if (!response.ok) {
throw new Error(`API error: ${response.status}`);
}
const data = await response.json();
console.log(data);
return data;
} catch (error) {
console.error('Error calling API:', error);
throw error;
}
}
callApi();Python import requests
def call_api():
api_key = 'YOUR_API_KEY'
url = 'https://account.lunahealth.app/api/lab-test-biomarkers'
headers = {
'Authorization': f'Bearer {api_key}',
'Content-Type': 'application/json'
}
params = {
'labTestId': 'your-labTestId'
}
try:
response = requests.get(
url,
headers=headers,
params=params
)
response.raise_for_status()
data = response.json()
print(data)
return data
except requests.exceptions.RequestException as e:
print(f'Error calling API: {e}')
raise
call_api()Parameters Name In Type Required Description labTestIdquery string Yes ID of the lab test to get biomarkers for
Responses Status Description 200Successful response 400Invalid input data 401Authorization not provided 403Insufficient access 404Not found 500Internal server error
200 — Successful responseResponse fields Name Type Required Description labTestobject Yes — biomarkersarray<object> Yes — metaobject Yes —
Example response {
"labTest": {
"id": "string",
"name": "string",
"uploaded_at": "string",
"status": "string"
},
"biomarkers": [
{
"id": "string",
"name": "string",
"value": 0,
"original_value": 0,
"units": "string",
"status": "ACCEPTABLE",
"reference_range": null,
"qualitative_value": "string",
"is_numeric": true,
"created_at": "string"
}
],
"meta": {
"status": {
"OPTIMAL": 0,
"ACCEPTABLE": 0,
"CRITICAL": 0
}
}
}400 — Invalid input dataResponse fields Name Type Required Description messagestring Yes The error message codestring Yes The error code issuesarray<object> No An array of issues that were responsible for the error
Example response {
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401 — Authorization not providedResponse fields Name Type Required Description messagestring Yes The error message codestring Yes The error code issuesarray<object> No An array of issues that were responsible for the error
Example response {
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403 — Insufficient accessResponse fields Name Type Required Description messagestring Yes The error message codestring Yes The error code issuesarray<object> No An array of issues that were responsible for the error
Example response {
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404 — Not foundResponse fields Name Type Required Description messagestring Yes The error message codestring Yes The error code issuesarray<object> No An array of issues that were responsible for the error
Example response {
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500 — Internal server errorResponse fields Name Type Required Description messagestring Yes The error message codestring Yes The error code issuesarray<object> No An array of issues that were responsible for the error
Example response {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Open in interactive reference →